Bug 247902 - games/powwow: Update to 1.2.22 and Take MAINTAINER'ship
Summary: games/powwow: Update to 1.2.22 and Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://www.hoopajoo.net/projects/pow...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-10 22:36 UTC by Juraj Lutter
Modified: 2020-07-24 15:17 UTC (History)
7 users (show)

See Also:
juraj: maintainer-feedback+
koobs: maintainer-feedback+


Attachments
games/powwow: Update to 1.2.22 (12.32 KB, patch)
2020-07-10 22:36 UTC, Juraj Lutter
juraj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter 2020-07-10 22:36:35 UTC
Created attachment 216369 [details]
games/powwow: Update to 1.2.22

Hi,

please find the patch attached.

Changes:
- Update to 1.2.22
- Update patches
- Set maintainer address to current one

Changelog:
    2020-06-30    Steve Slaven <bpk@hoopajoo.net>
            * version bump

    2020-05-23    powwow@askgustav.com <powwow@askgustav.com>
            * minor beautifications
            * remove extraneous newlines in capture files
            * remove unused define
            * stop using putenv() as it's an XSI extension
            * stop using C99 comments

    2019-11-24    Steve Slaven <bpk@hoopajoo.net>
            * fix linking pcreposix during build

    2019-11-15    Steve Slaven <bpk@hoopajoo.net>
            * fix comma placement for AC_CHECK_FUNC(regcomp) in libc
              regcomp check

    2019-11-10    Steve Slaven <bpk@hoopajoo.net>
            * verify pcreposix or regcomp are available if enabled

    2019-11-07    Steve Slaven <bpk@hoopajoo.net>
            * fix default value for enable-regex

    2019-11-05    Steve Slaven <bpk@hoopajoo.net>
            * Add a list of options for --enable-regex

    2019-11-04    Steve Slaven <bpk@hoopajoo.net>
            * Automatically update version number in man page and doc
            * reorganizing files
            * Version bump
            * Distribute new regex header
            * Move configured regex lib in to a common header
            * use --enable-regex=[lib] to select a regex library

    2019-06-29    Nils Schimmelmann <nschimme@gmail.com>
            * Allow the regular expression engine to be replaced with
              PCRE POSIX

    2019-05-21    Steve Slaven <bpk@hoopajoo.net>
            * version bump

    2019-05-21    Nils Schimmelmann <nschimme@gmail.com>
            * Fix use of undeclared identifier 'SIGWINCH' on Mac

    2019-04-23    Steve Slaven <bpk@hoopajoo.net>
            * bump versions
    2019-04-23    powwow@askgustav.com <powwow@askgustav.com>
            * add compile to .gitignore
            * rename configure.in to configure.ac
            * require C89 and set _XOPEN_SOURCE=700 when compiling
            * make a variable more local in a function
            * fix possible read outside buffer
            * retroactively bump versions to 1.2.18
            * remove an unused variable and function
            * remove some non-ANSI C support
            * better handle prompts with control characters

    2018-09-25    Steve Slaven <bpk@hoopajoo.net>
            * fix unsigned/signed comparison
            * fix off-by-one

    2018-09-11    Steve Slaven <bpk@hoopajoo.net>
            * version bump

    2018-09-05    powwow@askgustav.com <powwow@askgustav.com>
            * support IPv6
            * fix bugs in carriage return handling
            * more robust multibyte character handling
            * remove unused function tcp_read_addIAC()
            * make sure to use the correct fdset in call to select()

    2013-07-15    Steve Slaven <bpk@hoopajoo.net>
            * version bumps
            * pull from kalev
            * debian file updates

    2013-07-13    Gustav H<C3><A5>llberg <gustav@gmail.com>
            * stop using bzero() and check a few return values

    2013-07-10    Kalev Lember <kalevlember@gmail.com>
            * build: Error out if curses libraries weren't found
            * README: Update the link to MUME
            * wrap_print: Fix an endless loop with 0-length strings

    2013-03-25    Kalev Lember <kalevlember@gmail.com>
            * Enable TCP keep-alive

    2011-10-01    Kalev Lember <kalevlember@gmail.com>
            * Use AC_SEARCH_LIBS for libdl


testport on 12-STABLE amd64:
https://freebsd-stable.builder.wilbury.net/data/12_STABLE_GENERIC_amd64-default/2020-07-11_00h22m06s/logs/powwow-1.2.22.log

testport on 13-CURRENT amd64:
https://freebsd-current.builder.wilbury.net/data/13_CURRENT_GENERIC_amd64-default/2020-07-11_00h23m42s/logs/powwow-1.2.22.log

testport on 13-CURRENT aarch64:
https://freebsd-current.builder.wilbury.net/data/13_CURRENT_GENERIC_aarch64-default/2020-07-11_00h27m59s/logs/powwow-1.2.22.log
Comment 1 Automation User 2020-07-10 22:53:07 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/165421204
Comment 2 Jochen Neumeister freebsd_committer 2020-07-11 11:29:30 UTC
pls stop to set maintainer-feedback to +, juraj!
This must do the currently Maintainer. Thx
Comment 3 Juraj Lutter 2020-07-11 14:41:32 UTC
I am otis@sk.FreeBSD.org, I just want to set the address to my primary one.
Comment 4 Jochen Neumeister freebsd_committer 2020-07-11 14:48:45 UTC
So please set maintainer + with the otis@sk.FreeBSD.org Account
Comment 5 Juraj Lutter 2020-07-11 20:51:08 UTC
I don't use that account actively and as it happened that over the time, I lost the password for it. Nevertheless, "Forgot password" gives "The system is not configured to allow password change requests." So I'm now in a Catch XXII situation.
Comment 6 Tobias C. Berner freebsd_committer 2020-07-11 20:52:55 UTC
(In reply to Juraj Lutter from comment #5)
Moin moin 

That is not a problem, but please, just remind people in the PRs about that fact when you open one, and switch the eMail :)

mfg Tobias
Comment 7 Jochen Neumeister freebsd_committer 2020-07-12 04:11:51 UTC
@koobs can you help about the eMail Problem?
Comment 8 Juraj Lutter 2020-07-17 10:01:07 UTC
a very friendly ping?
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-17 10:03:01 UTC
^Triage: Ask postmaster for help on answering what sk.freebsd.org is, and how one resets a password for accounts in that subdomain. Ideally it would be nice to have this be a plain @FreeBSD.org account.
Comment 10 Juraj Lutter 2020-07-17 10:05:09 UTC
That way I would need a @freebsd.org account.
Comment 11 Kurt Jaeger freebsd_committer 2020-07-17 10:10:58 UTC
(In reply to Juraj Lutter from comment #10)
Hmm, postmaster@ is not handling DNS. Someone added sk.freebsd.org
some time in the past. So we'll need to find the person in charge of DNS @ freebsd.org, probably clusteradm.
Comment 12 Juraj Lutter 2020-07-17 10:12:48 UTC
sk.freebsd.org was delegated maybe 20 years ago to my DNSs and I also handle the mail for sk.freebsd.org subdomain (and also ftp/www mirror).

This debate should be moved off this PR.
Comment 13 Kurt Jaeger freebsd_committer 2020-07-17 10:15:49 UTC
(In reply to Juraj Lutter from comment #12)
I'm confused: If you are running the domain, you can recover the password
for otis@sk.freebsd.org or change the mx so that you can re-set the password etc ?
Comment 14 Juraj Lutter 2020-07-17 10:17:47 UTC
When I try to, I'm getting and error message from bugzilla: "The system is not configured to allow password change requests."
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-17 10:30:39 UTC
(In reply to Juraj Lutter from comment #14)

The backend for *@freebsd.org which requires using the Kerberos password auth system is presumably matching all subdomains at freebsd.org

At this point I'd recommend switching MAINTAINER emails to a non FreeBSD.org email address (there are other ambiguity issues with user accounts that have @FreeBSD.org domains, besides password auth), and update the Bugzilla account email to match (this can be done via user preferences)
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-17 10:31:47 UTC
(In reply to Kubilay Kocak from comment #15)

If you can send bugmeister@f.o an email from the current MAINTAINER email, I can update to MAINTAINER line in the port to match the current Bugzilla one
Comment 17 commit-hook freebsd_committer 2020-07-22 05:48:18 UTC
A commit references this bug:

Author: koobs
Date: Wed Jul 22 05:47:22 UTC 2020
New revision: 542833
URL: https://svnweb.freebsd.org/changeset/ports/542833

Log:
  games/powwow: Update MAINTAINER

  Current MAINTAINER address is a @subdomain.freebsd.org who's MX has been
  delegated to the recipient (current MAINTAINER).

  This causes issues because Bugzilla's authentication scheme has a specific
  Kerberos (kpasswd) based backend for accounts matching the FreeBSD.org
  domain.

  This coupled with the MAINTAINER not having access to the current
  MAINTAINER address, and using a different Bugzilla account email address,
  has implications and causes issues with respect to verifying maintainership
  for approval and other purposes (requesting feedback etc).

  tl;dr: All maintainers (MAINTAINER lines) for maintainers of ports, should
  have an Bugzilla account email that exactly matches that MAINTAINER line

  If that is currently not the case, maintainers should either:

   1) Update the MAINTAINER line to match the Bugzilla email, OR
   2) Update their Bugzilla Email to match the MAINTAINER line in Preferences [1]

  [1] https://bugs.freebsd.org/bugzilla/userprefs.cgi?tab=account

  PR:		247902
  Requested by:	koobs (bugmeister)
  Approved by:	Juraj Lutter (maintainer, via email verification)
  Approved by:	koobs (bugmeister)
  MFH:		2020Q3 (blanket: consistent metadata)

Changes:
  head/games/powwow/Makefile
Comment 18 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-22 05:51:02 UTC
Pending merge of ports r542833 to quarterly
Comment 19 Juraj Lutter 2020-07-23 12:48:05 UTC
Now once the MAINTAINER is set correctly and maintainer-feedback is also +, can we proceed? Thanks.
Comment 20 Jochen Neumeister freebsd_committer 2020-07-24 08:44:17 UTC
(In reply to Juraj Lutter from comment #19)

I have already approved it for the quaterly branch by email to Kubilay Kocak on 22.07.2020 / 10 am.
Comment 21 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-24 08:47:33 UTC
(In reply to Jochen Neumeister from comment #20)

That was just the maintainer change, not the patch attached here
Comment 22 Kurt Jaeger freebsd_committer 2020-07-24 15:17:18 UTC
Committed, thanks!
Comment 23 commit-hook freebsd_committer 2020-07-24 15:17:56 UTC
A commit references this bug:

Author: pi
Date: Fri Jul 24 15:17:02 UTC 2020
New revision: 543247
URL: https://svnweb.freebsd.org/changeset/ports/543247

Log:
  games/powwow: update 1.2.17 -> 1.2.22

  PR:		247902
  Submitted by:	Juraj Lutter <juraj@lutter.sk> (maintainer)
  Relnotes:	https://www.hoopajoo.net/projects/powwow.html
  		https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247902#c0

Changes:
  head/games/powwow/Makefile
  head/games/powwow/distinfo
  head/games/powwow/files/patch-follow.c
  head/games/powwow/files/patch-ptr.c
  head/games/powwow/files/patch-ptr.h
  head/games/powwow/files/patch-src_follow.c
  head/games/powwow/files/patch-src_ptr.c
  head/games/powwow/files/patch-src_ptr.h
  head/games/powwow/files/patch-src_tty.c
  head/games/powwow/files/patch-src_utils.c
  head/games/powwow/files/patch-tty.c
  head/games/powwow/pkg-plist